Bug 1028780 - Review Request: thunar-sendto-clamtk - Simple virus scanning extension for Thunar
Review Request: thunar-sendto-clamtk - Simple virus scanning extension for Th...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 13:09 EST by Dave M
Modified: 2013-11-23 23:02 EST (History)
3 users (show)

See Also:
Fixed In Version: thunar-sendto-clamtk-0.04-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:49:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave M 2013-11-10 13:09:14 EST
Spec URL: http://davem.fedorapeople.org/thunar-sendto-clamtk.spec
SRPM URL: http://davem.fedorapeople.org/thunar-sendto-clamtk-0.04-2.src.rpm
Description: Simple virus scanning extension for XFCE's Thunar
Fedora Account System Username: davem

Hi,

This is a very simple extension to send files or folders from within Thunar to be scanned by ClamTk, a frontend for ClamAV.  It's simply a desktop file which gets placed in the correct folder.

I'd like to get this package into Fedora.  It's been offered for years outside of Fedora repositories, but it would be useful to have it in here.

It only needs to be updated every so often with new language strings.

Thank you for your inputs.

Dave M
Comment 1 Mario Blättermann 2013-11-10 15:39:51 EST
Clamtk isn't available for EPEL5, only via Repoforge, which we don't support. You can safely drop the following obsolete parts:

* The BuildRoot definition
* Initial cleaning of $RPM_BUILD_ROOT in %install
* The %clean section
* The %defattr line in %files

The Googlecode project page tells us about a Thunar context click menu:
> The latest version is 5.00. Here's what's new:
> Right-click context menu support for Nautilus, Thunar, and Dolphin
Obviously this is now part of the current Clamtk v5 (released yesterday). Then your package would become obsolete once this version has arrived the Fedora repos. Moreover, if the Clamtk people speak about such an extension, how behave Thunar and Clamtk without your *.desktop file?

You are the upstream author, but you mention the Clamtk homepage as project URL. Please use your own project homepage instead:
https://bitbucket.org/dave_theunsub/thunar-sendto-clamtk/
Comment 2 Dave M 2013-11-10 16:44:51 EST
> Clamtk isn't available for EPEL5, only via Repoforge, which we don't support.
Thank you - I wasn't planning to push any official ClamTk packages to EPEL yet.  As far as EPEL, I'd rather get perl-Gtk3 accepted as an official package (as it is in Fedora), because that's where ClamTk itself is going in the near future.

> You can safely drop the following obsolete parts:
Thank you - done.

> Obviously this is now part of the current Clamtk v5 (released yesterday)
Yes, the homepage was misleading.  The Thunar and Dolphin functionality are only available via the extra packages (thunar-sendto-clamtk and clamtk-kde, respectively).  I rephrased the homepage to clarify.

> You are the upstream author,
Yes, I'm also a Fedora maintainer for ClamTk as well.  I'm going to clean up that spec file as well, with the tips you provided here.

> Please use your own project homepage instead:
Makes sense - Done.

Spec URL: http://davem.fedorapeople.org/thunar-sendto-clamtk.spec
SRPM URL: http://davem.fedorapeople.org/thunar-sendto-clamtk-0.04-3.src.rpm

Thank you for the feedback; it's much appreciated.
Comment 3 Mario Blättermann 2013-11-11 13:51:24 EST
(In reply to Dave M from comment #2)
> I'd rather get perl-Gtk3 accepted as an official
> package (as it is in Fedora), because that's where ClamTk itself is going in
> the near future.
> 
I don't expect to see any Gtk3 stuff in EPEL at all. It would have too many requirements. My notes about EPEL were only about the obsolete things in your spec file, which are only needed for EPEL <=5.

OK, here's the scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6166807

$ rpmlint -i -v *
thunar-sendto-clamtk.noarch: I: checking
thunar-sendto-clamtk.noarch: I: checking-url https://bitbucket.org/dave_theunsub/thunar-sendto-clamtk (timeout 10 seconds)
thunar-sendto-clamtk.src: I: checking
thunar-sendto-clamtk.src: I: checking-url https://bitbucket.org/dave_theunsub/thunar-sendto-clamtk (timeout 10 seconds)
thunar-sendto-clamtk.src: I: checking-url https://bitbucket.org/dave_theunsub/thunar-sendto-clamtk/downloads/thunar-sendto-clamtk-0.04.tar.gz (timeout 10 seconds)
thunar-sendto-clamtk.spec: I: checking-url https://bitbucket.org/dave_theunsub/thunar-sendto-clamtk/downloads/thunar-sendto-clamtk-0.04.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is silent.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPL+ or Artistic
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    26b3f7e858f7fd8eddb67b37b47b1dc6ae32c8963b6abdfbfb069a77c948061f  thunar-sendto-clamtk-0.04.tar.gz
    26b3f7e858f7fd8eddb67b37b47b1dc6ae32c8963b6abdfbfb069a77c948061f  thunar-sendto-clamtk-0.04.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------


While having a deeper look at the tarball's content, I stumbled upon a manpage. Actually your package provides no executable file or a command which could be launched, so we don't need a manpage (and I've not complained that it is not installed). But the content of the roff document could be interesting for the user. You should consider to add it to the README file in the next upstream version, or add an appropriate html file or anything similar in %doc.
Comment 4 Dave M 2013-11-11 16:47:16 EST
> I don't expect to see any Gtk3 stuff in EPEL at all. It would have too many requirements.
Ah, that's unfortunate.  I think.

> so we don't need a manpage (and I've not complained that it is not installed).
Actually, the only reason I included one was for the Debian packaging, which pretty much requires a man page for everything.

> You should consider to add it to the README file
That's definitely doable.

So, what happens next?
Comment 5 Mario Blättermann 2013-11-12 12:40:07 EST
(In reply to Dave M from comment #4)
> So, what happens next?

Now request the Git repository for your package:
http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 6 Dave M 2013-11-12 20:30:28 EST
New Package SCM Request
=======================
Package Name: thunar-sendto-clamtk
Short Description: Simple virus scanning extension for XFCE's Thunar
Owners: davem mariobl
Branches: f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-11-13 08:07:54 EST
Git done (by process-git-requests).
Comment 8 Dave M 2013-11-13 18:04:07 EST
Two final questions please:

1. Minor problem: I did not have the %{dist} for the devel branch build.  Is there anything I should do to clean this up?

2. When I request the push to testing, do I close this out with it?

Thanks
Comment 9 Fedora Update System 2013-11-14 07:49:41 EST
thunar-sendto-clamtk-0.04-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/thunar-sendto-clamtk-0.04-3.fc19
Comment 10 Fedora Update System 2013-11-14 07:49:53 EST
thunar-sendto-clamtk-0.04-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/thunar-sendto-clamtk-0.04-3.fc20
Comment 11 Mario Blättermann 2013-11-14 12:57:52 EST
(In reply to Dave M from comment #8)
> Two final questions please:
> 
> 1. Minor problem: I did not have the %{dist} for the devel branch build.  Is
> there anything I should do to clean this up?
>
Sorry, I wasn't aware of the missing dist tag. But as far as I can see, you have solved the problem.

> 2. When I request the push to testing, do I close this out with it?
> 
Do you mean you close the review ticket? No, Bodhi tracks the changes and sends them to Bugzilla, and the ticket will be closed once all packages for all requested branches are in the stable repos.
Comment 12 Fedora Update System 2013-11-14 14:18:24 EST
thunar-sendto-clamtk-0.04-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-11-23 14:49:44 EST
thunar-sendto-clamtk-0.04-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-11-23 23:02:43 EST
thunar-sendto-clamtk-0.04-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.